#define _CRT_SECURE_NO_WARNINGS
#define _CRT_NONSTDC_NO_DEPRECATE

#include <stdio.h>
#include <stdlib.h>

#include "mwis.h"

/*
  *****************************************************************************
	Main function.

	@param argc number of arguments.
	@param argv array of arguments, the first argument being the name of the program.
	
	@return Returns 0 if went well.
*/
int main( int argc, char** argv )
{
	long n = 1000;
	long ne = 10*n;

	MAT_TYPE* w = NULL;
	unsigned char* A = NULL;
	unsigned char* x = NULL;

	mwisRandGraph( &A,&w,n,ne);

	/*mwisPrintAdjMat(A, n);
	printf("\n");
	mwisPrintWeights(w, n);
	printf("\n");*/

	x = mwis2( w, A, n, x, 0);
	//mwisPrintX(x, n);
	printf("\n");
	x = mwis2( w, A, n, x, 1);
	//mwisPrintX(x, n);
	printf("\n");
	x = mwis2( w, A, n, x, 2);
	//mwisPrintX(x, n);
	printf("\n");
	x = mwis2( w, A, n, x, 3);
	//mwisPrintX(x, n);
	printf("\n");
	x = mwis2( w, A, n, x, 4);
	//mwisPrintX(x, n);
	printf("\n");

	printf("DONE");
	getchar();

	return 0;
}