#ifndef __MWIS_IO_H__
#define __MWIS_IO_H__

#define _CRT_SECURE_NO_WARNINGS
#define _CRT_NONSTDC_NO_DEPRECATE

typedef
struct _nodeIds
{
	int id1,id2;
}
NODE_IDS;

typedef
struct _box
{
	int x1,y1,x2,y2;
	double confidence;
	int id;
}
BOX;

#define readWeights readBinary

double* readBinary(const char* filename, double* arr, int* length);
int saveBinary(const char* filename, double* arr, int length);
NODE_IDS* readNodeIds(const char* filename, NODE_IDS* ids, int* length);
double* readAdjMat(const char* filename, double* A, int* length);
BOX* readBoxes(const char* filename, BOX* b, int* length);
int saveX(const char* filename, unsigned char* x, int length);
unsigned char* readX(const char* filename, unsigned char* x, int* length);

#endif